wibble::exception::Regexp Class Reference

`#include <regexp.h>`

Inheritance diagram for wibble::exception::Regexp:
[legend]
Collaboration diagram for wibble::exception::Regexp:
[legend]

## Public Member Functions

| Regexp (const regex_t &re, int code, const std::string &context) throw ()
| ~Regexp () throw ()
virtual int | code () const throw ()
| Get the regexp error code associated to the exception. More...
virtual const char * | type () const throw ()
| Get a string tag identifying the exception type. More...
virtual std::string | desc () const throw ()
| Get a string describing what happened that threw the exception. More...
Public Member Functions inherited from wibble::exception::Generic
| Generic () throw ()
| Generic (const std::string &context) throw ()
virtual | ~Generic () throw ()
virtual const std::string & | fullInfo () const throw ()
| Format in a string all available information about the exception. More...
virtual const char * | what () const throw ()
Public Member Functions inherited from wibble::exception::Context
| Context () throw ()
| Context (const std::string &context) throw ()
void | addContext (const std::string &c) throw ()
std::string | formatContext () const throw ()
const std::vector< std::string > & | context () const throw ()

## Protected Attributes

int | m_code
std::string | m_message
Protected Attributes inherited from wibble::exception::Generic
std::string | m_formatted
Protected Attributes inherited from wibble::exception::Context
std::vector< std::string > | m_context

## Constructor & Destructor Documentation

## Regexp()

wibble::exception::Regexp::Regexp | ( | const regex_t & | re,
|  | int | code,
|  | const std::string & | context
| ) |  |
throw | ( |
| ) |  |

References wibble::sys::fs::size().

## ~Regexp()

wibble::exception::Regexp::~Regexp | ( |  | ) |
throw | ( |
| ) |  |

inline

## Member Function Documentation

## code()

virtual int wibble::exception::Regexp::code | ( |  | ) | const
throw | ( |
| ) |  |

inline virtual

Get the regexp error code associated to the exception.

References m_code.

## desc()

virtual std::string wibble::exception::Regexp::desc | ( |  | ) | const
throw | ( |
| ) |  |

inline virtual

Get a string describing what happened that threw the exception.

Reimplemented from wibble::exception::Generic.

References m_message.

## type()

virtual const char* wibble::exception::Regexp::type | ( |  | ) | const
throw | ( |
| ) |  |

inline virtual

Get a string tag identifying the exception type.

Reimplemented from wibble::exception::Generic.

## Member Data Documentation

## m_code

int wibble::exception::Regexp::m_code

protected

Referenced by code().

## m_message

std::string wibble::exception::Regexp::m_message

protected

Referenced by desc().

The documentation for this class was generated from the following files:

- regexp.h
- regexp.cpp